{{ define "main" }}
<main class="max-w-screen-xl pt-4 pb-8 mx-6 min-[1328px]:mx-auto">
  <article class="prose">
    <h1 class="text-4xl">{{ .Title }}</h1>

    {{ $image := resources.Get .Params.thumbnail }}
    {{ if not $image -}}
    {{ $image = resources.Get (printf "img/%s" site.Params.defaultImage) }}
    {{ end -}}
    {{ $image = $image.Resize "1536x webp"}}

    <img class="w-full !max-w-3xl rounded-md" src="{{ $image.Permalink }}" width="{{ $image.Width }}"
      height="{{ $image.Height }}" alt="{{ .Title }}">

    {{ .Content }}
  </article>
</main>
{{ end }}
